Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008950TestLinkPlatforms - importpublic2020-06-29 20:512020-07-01 13:35
Reporterrponoran 
Assigned Tofman 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformBitnami Testlink Stack 1.9.20-4OSWindowsOS Version10
Product Version1.9.20 
Fixed in Version1.9.20_fixed 
Summary0008950: Unable to import the exported Platforms from one Project to another
DescriptionIn TesLink 1.9.20.4, after exporting the created Platforms from one Project I'm unable to import them back onto another as I receive a white screen with a Server Error 500.
Steps To Reproduce1. Login into TestLink and create a Platform on a Project
2. Export the previously created Platform
3. Import the previously exported Platform (*.xml file) onto another Project
Additional InformationFurther details I was able to extract from the console and the TestLink/Apache Error logs are as follows:
Web Console:
Failed to load resource: the server responded with a status of 500 (Internal Server Error) platformsImport.php

TestLink Logs:
E_NOTICE Trying to get property 'name' of non-object - in C:\Bitnami\testlink-1.9.20-4\apps\testlink\htdocs\lib\functions\tlPlatform.class.php - Line 60

Apache Error Logs:
[Mon Jun 29 23:07:40.499993 2020] [php7:error] [pid 10496:tid 1220] [client ::1:7774] PHP Fatal error: Uncaught Exception: Class: tlPlatform - Method: throwIfEmptyName Empty name in C:\Bitnami\testlink-1.9.20-4\apps\testlink\htdocs\lib\functions\tlPlatform.class.php:468\nStack trace:\n#0 C:\Bitnami\testlink-1.9.20-4\apps\testlink\htdocs\lib\functions\tlPlatform.class.php(60): tlPlatform->throwIfEmptyName(NULL)\n#1 C:\Bitnami\testlink-1.9.20-4\apps\testlink\htdocs\lib\platforms\platformsImport.php(142): tlPlatform->create('Server v1.4.2 (...', Object(SimpleXMLElement))\n#2 C:\Bitnami\testlink-1.9.20-4\apps\testlink\htdocs\lib\platforms\platformsImport.php(30): doImport(Object(database), 23)\n#3 {main}\n thrown in C:\Bitnami\testlink-1.9.20-4\apps\testlink\htdocs\lib\functions\tlPlatform.class.php on line 468, referer: http://localhost/testlink/lib/platforms/platformsImport.php?tproject_id=23 [^]

Please see attached *.xml that I'm trying to import!
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL v8.0.20
BrowserChrome v3.0.4103.116
PHP Versionv7.3.18
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Filesxml file icon MyProject-platforms.xml [^] (1,396 bytes) 2020-06-29 20:51

- Relationships

-  Notes
(0029799)
fman (administrator)
2020-06-30 17:12

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/0d94e2461b4e2d8c76fd183c5b69b5a829f1282a [^]
(0029805)
rponoran (reporter)
2020-07-01 13:35

Thank you!

- Issue History
Date Modified Username Field Change
2020-06-29 20:51 rponoran New Issue
2020-06-29 20:51 rponoran File Added: MyProject-platforms.xml
2020-06-30 17:12 fman QA Team - Task Workflow Status => TBD
2020-06-30 17:12 fman Note Added: 0029799
2020-06-30 17:12 fman Status new => resolved
2020-06-30 17:12 fman Fixed in Version => 1.9.20_fixed
2020-06-30 17:12 fman Resolution open => fixed
2020-06-30 17:12 fman Assigned To => fman
2020-07-01 13:35 rponoran Note Added: 0029805



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker